
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>性能测试知多少---性能需求分析 / iVAN</title>

    <meta name="description" content="性能测试知多少---性能需求分析 需求分析是个繁杂过程,它并非我们想象的那么简单,而性能测试需求除了要对系统的业务非常了解,还需要有深厚性能测试知识.才能够挖掘分析出真正的性能需求.   如何获得有效的需求   1.客户方提出 客户方能提出明确的性能需求,说明对方很重视性能测试,这样的企业一般是金融.电信.银行.医疗器械等:他们一般对系统的性能要求非常高,对性能也非常了解.提出需求也比较明确. 曾经有一个银行项目,已经到最后的性能测试极端,因为数据库设计不合理,导致性能出现很大的问题,最终不得不把整合项目 作废,对于这样的项目,">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">性能测试知多少---性能需求分析</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>　需求分析是个繁杂过程，它并非我们想象的那么简单，而性能测试需求除了要对系统的业务非常了解，还需要有深厚性能测试知识。才能够挖掘分析出真正的性能需求。</p>
<p> </p>
<p><strong>如何获得有效的需求</strong></p>
<p><strong> </strong></p>
<p>1、客户方提出</p>
<p>　　客户方能提出明确的性能需求，说明对方很重视性能测试，这样的企业一般是金融、电信、银行、医疗器械等；他们一般对系统的性能要求非常高，对性能也非常了解。提出需求也比较明确。</p>
<p>　　曾经有一个银行项目，已经到最后的性能测试极端，因为数据库设计不合理，导致性能出现很大的问题，最终不得不把整合项目<br />
作废，对于这样的项目，其实从分析设计阶段就应该考虑系统的性能问题。性能测试也一样，对于某些项目来说越早进行越好。当然，前期的性能测试为单元性能测<br />
试、接口性能测试，有别系统性能测试。</p>
<p>　　有时候也会碰到不懂装懂的客户，提出一些无理的需求，比如只能2000人使用的OA系统，客户要求并发用户2000，这显然是不合理的需求。这个就要看你怎么给客户沟通了。但是，千万别伪造数据欺骗客户。</p>
<p>2、根据历史数据分析</p>
<p>　　对于一些面向用户的独特产品，比较难定位市场的大小，可以先上一运营一段时间，通过运营可以搜集客户资料，比如，每月、每星期、每天的峰值业务量是多少。用户以 什么样的速度在递增中。用户对系统的哪些功能模块使用的最多，他们所点的比例等等。</p>
<p>　　收集到这些数据之后，我们就可评估系统的系统需求指标，从而进行性能测试。</p>
<p>3、需求分析与定位</p>
<p>　　这里根据前期的需求分析与定位，来分析确定系统性能指标。例如某省幼儿园管理系统。统计全省有多少家幼儿园，系统的使用时间为幼儿到校之后，管理人员对幼儿的到校情况进行录入，以及幼儿的午饭，放学情况的录入时间。经过与需求人员交流分析也能得到比较明确的性能指标。</p>
<p>4、参考历史项目或其它同行业的项目</p>
<p>　　如果公司之前有类似的项目经验，根据项目大小及上次性能测试的一些指标。从根据项目的规模可以制定出相应的性能指标。</p>
<p>　　即使本公司没有类似的项目，但其它公司有类似的项目，例如做IPTV或者DVB计费系统的测试，可以参考电信计费系统的需求——虽然不能完全照搬数据，但是可以通过其他行业成熟的需求来了解需要测试的项目有哪些，应该考虑到的情况有哪些种。 </p>
<p>5、参考其它资料数据</p>
<p>　　如果你做的是非常独特的产品，市场上没有此类型的产品，而且需求及市场也难以估计，那么只能从与产品相关的资料中寻找痕迹了。不过，相信这样不确定性的产品，老板要承担的风险也是挺大的。^_^</p>
<p> </p>
<p>　　需要说明的是，我上面介绍的方面并非是独立的，可以综合的使用，你可以根据客户提出的指标，再根据历史数据以及参考同类型项目来进行。这样可以更确定你的性能指标是客户（或自己）真正需要的、最符合项目需求的。</p>
<p> </p>
<p><strong>性能测试点的选取</strong></p>
<p><strong> </strong></p>
<p>*　　发生频率非常高的（例如：某邮箱核心业务系统中的登录、收发邮件等业务，它们在每天的业务总量中占到90%以上）</p>
<p>*　　关键程度非常高的（产品经理认为绝对不能出现问题的，如登录等）</p>
<p>*　　资源占用非常严重的（导致磁盘I/O非常大的，例如某个业务进行结果提交时需要向数十个表存取数据，或者一个查询提交请求时会检索出大量的数据记录）</p>
<p> </p>
<p><strong>对性能需求点的描述</strong></p>
<p><strong> </strong></p>
<p>准确</p>
<p>如**系统必须在不超过 10 秒的响应时间内,处理 20 起登录任务。再如发邮件时间最大不超过5秒以及平均时间在2秒以内。</p>
<p>一致</p>
<p>用户和性能测试工程师对有关术语的理解要一致,如:并发用户数、在线用户数、注册用户数: </p>
<p>特定</p>
<p>性能测试的需求一定是有条件的。</p>
<p>检查系统后台关键业务数据10G、操作数据量为20K, 1500 个用户、500 个并发用户运行的负载下，连续运行12小时过程中,业务操作是否满足性能需求。</p>
<p> </p>
<p><strong>常见性能需求</strong></p>
<p><strong> </strong></p>
<p>1、WEB首页打开速度5s以下，web登陆速度 15s以下。</p>
<p>2、邮件服务支持50万个在线用户</p>
<p>3、计费话单成功率达到99.999%以上。</p>
<p>4、在100个并发用户的高峰期，邮箱的基本功能，处理能力至少达到10TPS</p>
<p>5、系统能在高于实际系统运行压力1倍的情况下，稳定的运行12小时 </p>
<p>6、这个系统能否支撑200万的vu（每天登录系统的人次）          vu----Virtual user(虚拟用户) </p>
<p> </p>
<p><strong>"不成文"的性能需求指标：　　</strong></p>
<p><strong> </strong></p>
<p><strong>响应时间</strong>：根据国外的一些资料，一般操作的响应时间为2，5，8秒，2秒内优秀，5秒内良好，8秒内可接受，其它一些特殊的操作，如上传，下载可以依据用户体验的情况，延长响应时间。</p>
<p>　　Peter bickford 在调查用户反应时发现：在连续27次即使反馈之后，第28次操作进，计算机让用户等待2分钟，结果半数人在第8.5秒左右就走开或者按下种启键。使用了鼠标指针变成漏斗提示的界面会把用户的等待时间延长到20秒左右，使用动画的鼠标指针漏斗提示界面则会让用户的等待时间超过1分钟，而进度条则可以让用户等待到最后。Peter bickford的调查结果被广泛用到web软件系统的性能需求的响应时间定义中。</p>
<p>　　第三方研究表明，如果网页是逐步加载的，先出现横幅，再出现文字，最后出现图像。在这样的条件下，用户会忍受更长的等待时间，用户会把延迟在39秒内的也标识为“good”，超过56秒的才认为是“poor”的。</p>
<p><strong>80/20</strong><strong>原则</strong>：又称帕累托效应，比如，某一些系统一天中80%的访问量集中在20%的时间内。</p>
<p> </p>
<p><strong>如何根据性能需求进行测试</strong></p>
<p><strong> </strong></p>
<p>其实我们上面得到的需求指标仍然是不明确的：</p>
<p>是验证当前硬件和软件配置能否支撑200万vu？</p>
<p>是测试当前的硬件和软件配置最多能支撑多少vu?</p>
<p>是帮助开发寻找性能瓶颈？</p>
<p> </p>
<p>根据需求进行性能测试的过程：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDEyLzMxMTUxNi8yMDEyMDgxODEzNTYxMjI3LnBuZw==.jpg"></p>
<p>　　首先，请你们当前软件和硬件配置下验证能否支撑200万vu。如果可以支撑200万，再增加到300万看是否可以支撑。如果不能达到200万，那么就需要寻找一下是否有性能瓶颈，将主要的性能瓶颈解决后，再看一下是否可以支撑200万，如果可以支撑，输出测试结果。仍然不能，请评估需要添加多少硬件设备。</p>
<p>　　通过上面流程的分析，那么我们对于需求实施过程就非常明确了。</p>
<p> </p>
<p><strong>下面看来分析某邮箱系统的需求</strong>：</p>
<p>　　</p>
<p>按照 某某 邮箱20000万注册用户，其中日活跃用户数为1.5%的规模计算：</p>
<p>日活跃用户=20000*1.5%=300万</p>
<p>日活跃用户人均每天发6封邮件，用户使用客户端收发邮件比例20%，则：</p>
<p>每天发邮件投递量=300万*6*20%=360万封</p>
<p><strong> </strong></p>
<p><strong>如何得到每秒的邮件数</strong>？</p>
<p>方式一： 严格的根据2/8原则  ，80%的邮件集中在20%的时间发送。</p>
<p>集中发邮件数：  3600000*80%=28800000封</p>
<p>集中发送的时间：24*20%=4.8小时=17280秒</p>
<p>每秒发送邮件数：2880000/17280=166.7封/秒</p>
<p> </p>
<p>方式二，根据 某某邮箱业务模型表，每天忙时集中邮件系数0.15，邮件平均峰值系数2,则：</p>
<p>峰值邮件量=3600000*0.15*2/3600=300封/秒</p>
<p>注：忙时集中系数=忙时业务量/全天业务量</p>
<p>   <br />
 在两种方式的分析中，方法二得出的结果是方法一的将近一倍，我们不要根据经验理所当然的去分析，要深入的了解系统，我们要对行业指标及计算方式。如果按<br />
照第一种方式，性能测试达标了，但系统真正上线后可能远远超出了我们的评估。2008年北京奥运运门票系统就是一个典型的案例。</p>
<p> </p>
<p><strong>再来分析系统的登录：</strong></p>
<p> </p>
<p>　　去年全年处理“WEB登录”交易约 100 万笔，考虑到 3 年后交易量递增到每年 200万笔。</p>
<p>　　假设每年交易量集中在 8 个月，每个月 20 个工作日，每个工作日 8 小时，试采用 80～20 原理估算系统服务器高峰期“WEB登录”的交易吞吐量应达到怎样的一个处理能力　　</p>
<p>　　200万/8=25万/月</p>
<p>　　25万/20=1.25万/日</p>
<p>　　1.25万*80%/(8*20%*3600)=1.74TPS</p>
<p> </p>
<p> </p>
<p>----------------------</p>
<p>　　上面的小案例算是抛出的一块砖，需求开发难度要远远大于需求管理，在实际工作中常常需要我们为客户开发这部分性能需求。所以，在追求技术的基础上，请更多的了解分析你的项目及行业指标。　　</p>
<p> 2012-8-24  对部分内容进行的调整。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:40:01</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>性能测试知多少---性能需求分析的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NrdDz.html" rel="bookmark">性能测试知多少---性能分析与调优的原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近一直纠结性能分析与调优如何下手,先从硬件开始,还是先从代码或数据库.从操作系统(CPU调度,内存管理,进程调度,磁盘I/O).网络.协议(HTTP, TCP/IP ),还是从应用程序代码,数据库调优,中间件配置等方面入手. 单一个中间件又分web中间件(apache .IIS),应用中间件(tomcat .weblogic .webSphere )等,虽然都是中间件,每一样拎出来往深了学都不是一朝一夕之功.但调优对于每一项的要求又不仅仅是&quot;知道&quot;或&quot;会使用&quot;这么			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeR0aVb.html" rel="bookmark">性能测试知多少---性能测试计划</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一章节中我们对性能的需求进行了分析,知道了测试对象,了解了测试需求,那么下面就需要制定一份详细的计划,来规划和指导性能测试工作的进行.为了使你对性能测试计划更清晰明白,这里以测试计划的格式来描述.   一．简介   简介部分就不用过多描述了,无非项目的背景,进行此次性能测试的原因,以及性能测试覆盖的范围等等,几乎所有项目文档都在开端对项目进行简单的阐述.   二．性能测试需求   寻找的被测试对象和压力点 要测试的对象不是凭空想象出来,而是经过分析与系统数据收集得到.下取几个典型的压力点 登录			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6ny9M.html" rel="bookmark">性能测试知多少---性能测试流程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				性能测试知多少---性能测试流程 看到好多新手,在性能需求模糊的情况下,随便找一个性能测试工具,然后就开始进行性能测试了,在这种情况下得到的性能测试结果很难体现系统真实的能力,或者可能与系统真实的性能相距甚远. 与功能测试相比,性能测试在技术层面具有更大的复杂性.在以往的测试流程中,性能测试只是测试流程的一部分,是系统或验收测试的一个可选项.但随着测试技术的发展.许多公司也单独把性能测试独立出来,建立专门的性能测试小组或团队.那么性能测试在实施的过程中也需要建立独立的流程与规范. 虫师提出了自己			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YMRyWkb.html" rel="bookmark">性能测试知多少---系统架构分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有些事儿一旦放一放就难再拾起来,突然发现&lt;性能测试知多少&gt;这个系列两月没更新,关键时我都不知道啥时候放下的,总容易被各种技术所吸引走,如饥似渴的想学更多的东西,这几天一直有朋友问我为啥不写了,我才意识,事情要一样一样做,我现在要把这个系列完成.   之前有对性能需求进行过分析,那篇主要从项目业务.背景等角度如何抽丝剥茧的将项目的需求抽离出来.在我们进行需求的时候也需要对被测项目的架构有一定的认识,如果不了解被测系统的架构,那么在后期的性能分析与调优阶段将无从下手.   简单系统架构介绍    			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Rl0mz.html" rel="bookmark">性能测试知多少---了解前端性能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我的上一篇博文中讲到了响应时间,我们在做性能测试时,能过工具可以屏蔽客户端呈现时间,通过局域网的高宽带可以忽略数 据传输速度的障碍.这并不是说他们不会对系统造成性能影响.相反,从用户的感受来看,虽然传输速度受用户带宽的限制.但我们可以通过很多技术来使用户想要 看到的页面更快的显示.这就web是前端性能. 如果考虑到web应用本身的特性,响应时间的构成应该会更加复杂.  Web应用的基础是超文本传输协议(HTTP)和超文本标记语言(HTML),HTTP协议本身是一种面向非连接的协议,HTML语言则			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8kgyoM.html" rel="bookmark">性能测试知多少---测试环境搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在进行性能则试前,需要完成性能测试的搭建工作,一般包括硬件环境.软件环境及网络环境,可以要求配置和开发工程师协助完成,但是作为一个优秀性能测试工程师,这也是你的必备技能之一.   性能测试环境与功能测试环境的区别                                                  那么性能测试环境与功能测试环境有什么不同呢?性能测试对测试环境的干净.独立性要求更高,更为严格.对于一个相对较规范的公司,都会建立其独立的研发环境.测试环境.线网环境(最终运行软件的环境)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdEJKAz.html" rel="bookmark">性能测试知多少---测试工具介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				继续这个系列的学习,这一节重点介绍目前流行的性能测试工具以及如何选择适合项目的工具.在此之前,我已经对性能测试工具的原理与架构做了分析. http://www.cnblogs.com/fnng/archive/2012/07/31/2617546.html      性能测试工具的选择与评估                                                 在性能工具原理与架构一章中,我们了解到性能测试工具的原理通常是:通过录制.回放脚本,模拟多用户同时访问被测试系			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOaE8xM.html" rel="bookmark">性能测试知多少---并发用户</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在做性能测试的时候,我们常常听到并发用户.响应时间.吞吐量专业术语,也许大家都理解,这里有一个理解的层次与深度概 念.最近有看断念&lt;软件性能详解与案例分析&gt;一书,看了他的讲解,原来我对这些术语的理解还是比较肤浅,其实,这里也主要受制于自己的知识面.所以,再拿 出来与大家重温一下.  ps:按照惯例先上个图,因为看纯文字的文章比较累!^_^     并发用户数 大家都知道我们的性能测试就通过工具模拟多用户对系统进行操作,对系统造成压力,来验证系统的性能(不太标准的解释). 好多人也简单的把性能测			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA7wEQz.html" rel="bookmark">性能测试知多少---响应时间</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上一节中,我们讲到吞吐量,做为一个用户你可以对吞吐量毫不关心,但响应时间却是用户感受系统性能的主要体现. 从用户角度来说,软件性能就是软件对用户操作的响应时间.说得更明确一点,对用户来说,当用户单击一个按钮,发出一条指令或在web页面上单击一个链接,从用户单击开始到应用系统把本次操作的结果以用户能察觉的方式展示出来,这个过程所消耗的时间就是用户对软件性能的直观印象.     响应时间过程分析 我们需要对这个过程进行分解,才能得到你真正想要的响应时间.我把整个过程分三个部分,呈现时间,数据传输时			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlRnVz.html" rel="bookmark" class="title">Docky一个dock工具栏</a>
					<div>
						Docky是从GNOME Do项目剥离出来的一个Dock软件,最初即为GNOME Do的&quot;Docky&quot;模式.后来开发者觉得,GNOME Do是个快速启动工具,弄个Docky模式有点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNL8Wz.html" rel="bookmark" class="title">将PHP作为Shell脚本语言使用</a>
					<div>
						脚本 本文出自:http://phpuser.com 作者: y10k翻译 (2002-10-15 06:02:00) --英文原著:Darrell Brogdon,发表于 http://www.ph ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMya8dM.html" rel="bookmark" class="title">ASP 3&period;0 新特色先睹为快</a>
					<div>
						如果你现在正在使用Win2000和IIS5.0的话,那么就可以体会到ASP 3.0带来的新改变了...ASP 3.0相对于ASP 2.0(就是IIS 4.0中的asp版本)并没有特别大的改动.但是它也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgBD1b.html" rel="bookmark" class="title">ASP生成折线图</a>
					<div>
						折线图 方法一: &lt;%dim total(7,3) total(1,0)=&quot;中国经营报&quot; total(2,0)=&quot;招聘网&quot; total(3,0)=&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNlPdz.html" rel="bookmark" class="title">网站优化策略之SEO必知的七大技巧</a>
					<div>
						做为SEO,经常接手新网站那也算是家常便饭了,而对于一个新网站而言,提高网站权重那是重中之重,因为一个新网站要想引起百度的重视,必然要做考虑一些环节上的问题,而这些问题其实也都是做为SEO的基本操作流 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGyynM.html" rel="bookmark" class="title">DataRow的状态</a>
					<div>
						dataSet.Table.Rows[x].Delete()的此行还存在在DataTable中的,只是状态改变了,即使update后也应该.AcceptChanges()如果还要用这个dataSet. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgl28p.html" rel="bookmark" class="title">创盛：网站权重的积累让关键词排名更稳定</a>
					<div>
						不用多说,做seo的都有一个共同的目标就是:让我们的目标关键词有好的排名,而操作的方法却各有各的锦囊妙计,方法可是多种多样,创盛认为,这seo有一点是所有针对网站优化的策略都离不开的,就是网站的权重高 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLkaZM.html" rel="bookmark" class="title">解读HTML：命名空间与字符编码</a>
					<div>
						在做项目的过程中,我们经常会建立各种各样的规范,以方便团队之间更好的合作更好的完成项目:同样我们也经常会听到各种各样的协议,比如Google的IM软件Gtalk使用的开放的XMPP协议,只要其他IM软 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK52Np.html" rel="bookmark" class="title">利用OpenGL实现动画效果</a>
					<div>
						本程序主要通过不断改变视口位置来模仿动画效果,同时介绍了在进行opengl绘图时所做的一些不可或缺的准备工作. 一.首先新建一个 &quot;Win32 Application&quot; 的空工程. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKgx8p.html" rel="bookmark" class="title">JQuery页面的表格数据的增加与分页的实现</a>
					<div>
						 使用JQuery实现页面的表格数据的增加与分页,具体示例如下,喜欢的朋友可以参考下 代码如下: var countPage;  var nowPag = 1;  var pageSize;  var ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NArmz.html" rel="bookmark" class="title">影响网站排名的几种方法分析</a>
					<div>
						一.网站更新不频繁或没有更新 这是最常见的情况,很多网站.博客或页面内容很少的网站,百度爬虫第一次来是现在这个样子,第二次来还是没有变化,它就会认为你的更新并不频繁或根本不更新,因此百度爬虫就会隔上一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQWEOp.html" rel="bookmark" class="title">剑指offer系列之十七：二叉树的镜像</a>
					<div>
						题目描述 操作给定的二叉树,将其变换为源二叉树的镜像. 输入描述: 二叉树的镜像定义:源二叉树 8 / \ 6 10 / \ / \ 5 7 9 11 镜像二叉树 8 / \ 10 6 / \ / \ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lm3jb.html" rel="bookmark" class="title">谷歌正式发布云音乐服务：仅限美国使用</a>
					<div>
						谷歌今天召开发布会,http://www.aliyun.com/zixun/aggregation/18782.html&quot;&gt;正式发布谷歌音乐(Google Music)服务 北京时间1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEQP3z.html" rel="bookmark" class="title">struts&plus;ajax&plus;json返回list查询结果求救- -</a>
					<div>
						问题描述 Action返回一个下载文件,然后数据库也报错,求会这个框架的人帮忙,无比感谢.com.microsoft.sqlserver.jdbc.SQLServerDriverjdbc:sqlser ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kWaxM.html" rel="bookmark" class="title">servlet-关于java&period;lang&period;NullPointerException的问题</a>
					<div>
						问题描述 关于java.lang.NullPointerException的问题 提示的错误是:严重: Servlet.service() for servlet Shopping threw exc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrV41M.html" rel="bookmark" class="title">用c＋＋写一个计算器，要求有加减乘除括号，这5个功能</a>
					<div>
						问题描述 用c++写一个计算器,要求有加减乘除括号,这5个功能 我自己写了一个,无奈各种异常终止程序,求问各路大侠支招,有没有什么思路-谢谢了先 解决方案 这个一搜一大堆啊.. 楼主需要有界面的,还是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRKBOb.html" rel="bookmark" class="title">如何用struts2把数据库中的数据以折线图的形式展现在jsp文件中</a>
					<div>
						问题描述 如何用struts2把数据库中的数据以折线图的形式展现在jsp文件中 怎么把数据库中的数据以这种形式展示在jsp文件中啊 不要导出为图片 (类似于右图) 急求!!!谢谢大师们指点(http: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmlX9b.html" rel="bookmark" class="title">想要用link做缓存查询，如何引用化查询出来的结果？</a>
					<div>
						问题描述 想要用link做缓存查询,如何引用化查询出来的结果? 想要用link做缓存查询,如何引用化查询出来的结果? 解决方案 可以使用lazyload,也就是在访问属性的时候再查询.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB5Alb.html" rel="bookmark" class="title">其社交网络内容管理平台，可以在社交网络上有效的开展在线营销活动，并且进行在线品牌管理</a>
					<div>
						据科技博客TechCrunch报道,两年前成立于旧金山的新创公司Thismoment,致力于为企业级客户提供社交网络内容管理平台,通过这个平台客户可以在社交网络上有效的开展在线营销活动,并且进行在线品 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rPPmz.html" rel="bookmark" class="title">求帮助~！</a>
					<div>
						问题描述 怎么样在一个ACtivity中调用另外的一个ACtivity中的参数,例如:我现在获得了第一个ACtivity中的EditText中输入的参数,想在第二个Activity中用第一个Activ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRlqVb.html" rel="bookmark" class="title">Windows 7电脑开机蓝屏怎么办 电脑开机蓝屏解决方法</a>
					<div>
						故障现象:   近日微软推送8月份的更新补丁,通过系统或安全软件进行补丁更新后,可能会导致用户电脑重启后出现开机0xc0000005,0xc0000008e蓝屏,同时无法开机的现象.此现象与KB285 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1DW4z.html" rel="bookmark" class="title">危机下带来的商业机会</a>
					<div>
						编者按 金融危机和甲型H1N1型流感叠加,带来了与以往不一样的生意环境. 危机曾使培训逆势飞扬,如今流感使&quot;不见面&quot;的在线培训格外突出:危机让欧美客户取消一次性的大订单模式,转而改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDoo3z.html" rel="bookmark" class="title">内核月报201702</a>
					<div>
						Upstream 4.10-rc7 文章来源 *LWN 文章摘要 The future of the page cache *https://lwn.net/Articles/712467/ 齐江 十 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodlABM.html" rel="bookmark" class="title">为什么NLP 初创公司值得投资？蓦然认知凭什么是AI 初创最具有投资价值的公司&mdash;&mdash;来自蓦然认知合伙人Claire的感受</a>
					<div>
						目前AI投资的热浪方兴未艾,为什么所有的资本对于NLU的AI公司如此热情高涨呢?目前国内的语音交互市场群雄割据,已成逐鹿之势.面对这样一个白炽化的竞争市场,startup 又该如何存活并壮大?今天蓦然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeB15M.html" rel="bookmark" class="title">物联网助力现代化军事管理 射频识别成核心主力</a>
					<div>
						随着军事物联网的快速发展,不光是机器人战争,未来利用各种传感器技术搭建的物联网络将组成真正的&quot;天罗地网&quot;.军事物联网是指把各种军用设备通过军事信息传感系统与军事信息网络连接,组成自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKow9p.html" rel="bookmark" class="title">北电债券大涨近8倍：因半年来连续出售增值</a>
					<div>
						C114讯 北京时间1月12日早间消息(蒋均牧)北电网络(下称&quot;北电&quot;)申请破产保护将满一年,而最近一则惊人的好消息似乎对其过去一年间的出售行动是个肯定--北电10.25%的债券目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze066xp.html" rel="bookmark" class="title">暴雪起诉至少3名《星际争霸2》外挂的程序制作人员</a>
					<div>
						Gamespot报道在上周五暴雪起诉了至少3名开发和销售&lt;星际争霸2&gt;外挂的程序制作人员,并且指出他们已经触犯了暴雪的&lt;星际争霸2&gt;用户协议,战网使用条例和游戏版权. 在数周之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmx22z.html" rel="bookmark" class="title">Win7系统英雄联盟fps不稳定怎么办 Win7系统lol英雄联盟fps一高一低的六种解决方法</a>
					<div>
						解决方法: 1.在设置中,把FPS中的稳定帧率改成固定帧率就行: 2.如果还不行,把显示效果啥的都调到最低.选择视频设置,将分辨率适当降低一些,将所有特效以及显示效果都降到最低,(通常这样的情况由于电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV73OBb.html" rel="bookmark" class="title">虚拟机上可以访问nginx    但是本机上不可以</a>
					<div>
						问题描述 虚拟机上可以访问nginx 但是本机上不可以 求助 虚拟机上可以访问nginx 但是本机上不可以 防火墙已经关了 mysql正常连接 解决方案 一般都是防火墙或者端口的原因..http:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj80kmp.html" rel="bookmark" class="title">环信有&OpenCurlyDoubleQuote;正在输入&rdquo;的提示吗？</a>
					<div>
						问题描述 当对方在发送消息时,有显示&quot;正在输入&quot;的提示吗? 解决方案 没有的					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
